Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class MetaMethodIndex

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex

    public class MetaMethodIndex
    extends java.lang.Object

Nested Class Summary
`static class` | `MetaMethodIndex.CacheEntry`
`static class` | `MetaMethodIndex.Entry`
`interface` | `MetaMethodIndex.EntryIterator`
`static class` | `MetaMethodIndex.Header`

Field Summary
`protected static int` | `DEFAULT_CAPACITY`
`protected static int` | `MAXIMUM_CAPACITY`
`protected static int` | `MINIMUM_CAPACITY`
`SingleKeyHashMap` | `methodHeaders`
`protected int` | `size`
`protected MetaMethodIndex.Entry[]` | `table`
`protected int` | `threshold`

Method Summary
`java.lang.Object` | `MetaMethodIndex(CachedClass theCachedClass)`
`java.lang.Object` | `addMethodToList(java.lang.Object o, MetaMethod method)`
`void` | `clear()`
`void` | `clearCaches()`
`void` | `clearCaches(java.lang.String name)`
`void` | `copy(java.lang.Class c, MetaMethodIndex.Header index)`
`void` | `copy(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`void` | `copyAllMethodsToSuper(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`void` | `copyMethodsToSuper()`
`void` | `copyNonPrivateMethods(java.lang.Class from, java.lang.Class to)`
`void` | `copyNonPrivateMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`void` | `copyNonPrivateMethodsDown(java.lang.Class from, java.lang.Class to)`
`void` | `copyNonPrivateMethodsFromSuper(MetaMethodIndex.Header from)`
`void` | `copyNonPrivateNonNewMetaMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`MetaMethodIndex.EntryIterator` | `getEntrySetIterator()`
`MetaMethodIndex.Header` | `getHeader(java.lang.Class cls)`
`MetaMethodIndex.Entry` | `getMethods(java.lang.Class cls, java.lang.String name)`
`MetaMethodIndex.Entry` | `getOrPutMethods(java.lang.String name, MetaMethodIndex.Header header)`
`MetaMethodIndex.Entry[]` | `getTable()`
`static int` | `hash(int h)`
`void` | `init(int initCapacity)`
`boolean` | `isEmpty()`
`void` | `resize(int newLength)`
`int` | `size()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_CAPACITY

    protected static final int DEFAULT_CAPACITY

### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

### MINIMUM_CAPACITY

    protected static final int MINIMUM_CAPACITY

### methodHeaders

    public SingleKeyHashMap methodHeaders

### size

    protected int size

### table

    protected MetaMethodIndex.Entry[] table

### threshold

    protected int threshold

Method Detail

### MetaMethodIndex

    public java.lang.Object MetaMethodIndex(CachedClass theCachedClass)

### addMethodToList

    public java.lang.Object addMethodToList(java.lang.Object o, MetaMethod method)

### clear

    public void clear()

### clearCaches

    public void clearCaches()

### clearCaches

    public void clearCaches(java.lang.String name)

### copy

    public void copy(java.lang.Class c, MetaMethodIndex.Header index)

### copy

    public void copy(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

### copyAllMethodsToSuper

    public void copyAllMethodsToSuper(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

### copyMethodsToSuper

    public void copyMethodsToSuper()

### copyNonPrivateMethods

    public void copyNonPrivateMethods(java.lang.Class from, java.lang.Class to)

### copyNonPrivateMethods

    public void copyNonPrivateMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

### copyNonPrivateMethodsDown

    public void copyNonPrivateMethodsDown(java.lang.Class from, java.lang.Class to)

### copyNonPrivateMethodsFromSuper

    public void copyNonPrivateMethodsFromSuper(MetaMethodIndex.Header from)

### copyNonPrivateNonNewMetaMethods

    public void copyNonPrivateNonNewMetaMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

### getEntrySetIterator

    public MetaMethodIndex.EntryIterator getEntrySetIterator()

### getHeader

    public MetaMethodIndex.Header getHeader(java.lang.Class cls)

### getMethods

    public final MetaMethodIndex.Entry getMethods(java.lang.Class cls, java.lang.String name)

### getOrPutMethods

    public MetaMethodIndex.Entry getOrPutMethods(java.lang.String name, MetaMethodIndex.Header header)

### getTable

    public MetaMethodIndex.Entry[] getTable()

### hash

    public static int hash(int h)

### init

    public void init(int initCapacity)

### isEmpty

    public boolean isEmpty()

### resize

    public void resize(int newLength)

### size

    public int size()

Groovy Documentation